Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_MediaControl Class Reference

Abstract Mediacontrol class. The following are to be handled by the specialized media control for the specific media like camera, speaker. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_MediaControl

[legend]
Collaboration diagram for TAO_MediaControl:

[legend]
List of all members.

## Public Methods
| TAO_MediaControl (void)
| default constructor.
virtual AVStreams::Position | get_media_position (AVStreams::PositionOrigin an_origin, AVStreams::PositionKey a_key, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::MediaControl::PostionKeyNotSupported)
virtual void | set_media_position (const AVStreams::Position & a_position, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::MediaControl::PostionKeyNotSupported, AVStreams::InvalidPosition)
virtual void | start (const AVStreams::Position & a_position, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::InvalidPosition)
virtual void | pause (const AVStreams::Position & a_position, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::InvalidPosition)
virtual void | resume (const AVStreams::Position & a_position, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::InvalidPosition)
virtual void | stop (const AVStreams::Position & a_position, CORBA::Environment &env = CORBA::Environment::default_environment ()) = 0 throw (CORBA::SystemException, AVStreams::InvalidPosition)

## Detailed Description

Abstract Mediacontrol class. The following are to be handled by the specialized media control for the specific media like camera, speaker.

## Constructor & Destructor Documentation

TAO_MediaControl::TAO_MediaControl ( | void )

| default constructor.

## Member Function Documentation

virtual AVStreams::Position TAO_MediaControl::get_media_position ( | AVStreams::PositionOrigin an_origin,
| AVStreams::PositionKey a_key,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::MediaControl::PostionKeyNotSupported)`[pure virtual]`

virtual void TAO_MediaControl::pause ( | const AVStreams::Position & a_position,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::InvalidPosition)`[pure virtual]`

virtual void TAO_MediaControl::resume ( | const AVStreams::Position & a_position,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::InvalidPosition)`[pure virtual]`

virtual void TAO_MediaControl::set_media_position ( | const AVStreams::Position & a_position,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::MediaControl::PostionKeyNotSupported, AVStreams::InvalidPosition)`[pure virtual]`

virtual void TAO_MediaControl::start ( | const AVStreams::Position & a_position,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::InvalidPosition)`[pure virtual]`

virtual void TAO_MediaControl::stop ( | const AVStreams::Position & a_position,
| CORBA::Environment & env = CORBA::Environment::default_environment () ) throw (CORBA::SystemException, AVStreams::InvalidPosition)`[pure virtual]`

The documentation for this class was generated from the following file:

- AVStreams_i.h